import 'song.dart';

class Playlist {
  String id;
  String title;
  String subtitle;
  String description;
  String permaURL;
  String image;
  int totalSongs;
  int followers;
  List<Song> songs;

  Playlist({
    required this.id,
    required this.title,
    required this.subtitle,
    required this.description,
    required this.permaURL,
    required this.image,
    required this.totalSongs,
    required this.songs,
    required this.followers,
  });

  Playlist copyWith({
    String? id,
    String? title,
    String? subtitle,
    String? description,
    String? permaURL,
    String? image,
    int? totalSongs,
    int? followers,
    List<Song>? songs,
  }) {
    return Playlist(
      id: id ?? this.id,
      title: title ?? this.title,
      subtitle: subtitle ?? this.subtitle,
      description: description ?? this.description,
      permaURL: permaURL ?? this.permaURL,
      image: image ?? this.image,
      totalSongs: totalSongs ?? this.totalSongs,
      followers: followers ?? this.followers,
      songs: songs ?? this.songs,
    );
  }
}
